DeepFellow DOCS

Edit user

Edit a user.

POST
/admin/user/{user_id}
Authorization[Bearer <token>]

In: header

Path Parameters

user_id[string]

The ID of the user.

Match^[0-9a-fA-F]{24}$
name?[string | null]
email?[string | null]
password?[string | null]
is_admin?[boolean | null]
status?["active" | "blocked" | null]
default_organization_id?[string | null]

Response Body

curl -X POST "https://deepfellow-server-host/admin/user/5eb7cf5a86d9755df3a6c593" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "email": "string",
  "is_admin": true,
  "status": "active",
  "default_organization_id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.